<?php
//
/**
 * @package admin
 * @copyright Copyright 2003-2006 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: move_product_confirm.php 444 2010-06-16 10:05:07Z conor $
 */
if (!defined('IS_ADMIN_FLAG')) {
  die('Illegal Access');
}

        $products_id = zen_db_prepare_input($_POST['products_id']);
        $new_parent_id = zen_db_prepare_input($_POST['move_to_category_id']);

        $duplicate_check = $db->Execute("select count(*) as total
                                        from " . TABLE_PRODUCTS_TO_CATEGORIES . "
                                        where products_id = '" . (int)$products_id . "'
                                        and categories_id = '" . (int)$new_parent_id . "'");

        if ($duplicate_check->fields['total'] < 1) {
          $db->Execute("update " . TABLE_PRODUCTS_TO_CATEGORIES . "
                        set categories_id = '" . (int)$new_parent_id . "'
                        where products_id = '" . (int)$products_id . "'
                        and categories_id = '" . (int)$current_category_id . "'");

          // reset master_categories_id if moved from original master category
          $check_master = $db->Execute("select products_id, master_categories_id from " . TABLE_PRODUCTS . " where products_id='" .  (int)$products_id . "'");
          if ($check_master->fields['master_categories_id'] == (int)$current_category_id) {
            $db->Execute("update " . TABLE_PRODUCTS . "
                          set master_categories_id='" . (int)$new_parent_id . "'
                          where products_id = '" . (int)$products_id . "'");
          }

          // BEGIN CEON URI MAPPING 1 of 1
          // Generate new URI mapping for this product?
          $uri_mapping_autogen = (($_POST['uri_mapping'] == 'autogen') ? true : false);
          
          // Drop existing URIs ?
          $uri_mapping_drop_existing = (($_POST['uri_mapping'] == 'drop_existing') ? true : false);
          
          if ($uri_mapping_autogen) {
            // Generate the new URI mappings for the product
            $languages = zen_get_languages();
            
            // Mark any existing URI mappings for the product as no longer being the "primary"
            // mappings, leaving them in the database so old links aren't broken.
            $db->Execute("
              UPDATE
                " . TABLE_CEON_URI_MAPPINGS . "
              SET
                current_uri = '0'
              WHERE
                (
                  main_page = '" . zen_db_input(FILENAME_DOCUMENT_GENERAL_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_DOCUMENT_PRODUCT_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_BOOK_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_FREE_SHIPPING_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_MUSIC_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS_WRITE) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_TELL_A_FRIEND) . "'
                )
              AND
                associated_db_id = '" . (int) $products_id . "';");
            
            for ($i = 0, $n = sizeof($languages); $i < $n; $i++) {
              $uri_mapping = '';
              
              $uri_mapping = ceon_uri_mapping_autogen_category_or_product_uri(
                $products_id, 'product', null, null, $languages[$i]['code'],
                $languages[$i]['id']);
              
              if (strlen($uri_mapping) > 1) {
                // Make sure URI mapping is relative to root of site and does not have more than
                // one trailing slash or any illegal characters
                $uri_mapping = ceon_uri_mapping_cleanup_uri_mapping($uri_mapping);
              }
              
              if ($uri_mapping != '') {
                // URI mapping does not yet exist
                $sql_data_array = array(
                  'uri' => zen_db_prepare_input($uri_mapping),
                  'date_added' => date('Y-m-d H:i:s')
                  );
                
                $insert_sql_data = array(
                  'main_page' => $zc_products->get_handler($product_type) . '_info',
                  'associated_db_id' => (int) $products_id,
                  'language_id' => (int) $languages[$i]['id'],
                  'current_uri' => 1
                  );
                
                $sql_data_array = array_merge($sql_data_array, $insert_sql_data);
                
                zen_db_perform(TABLE_CEON_URI_MAPPINGS, $sql_data_array);
                
                // Avoid possibility of old duplicate URI mappings for the same product
                ceon_uri_mapping_remove_product_mapping_duplicates($uri_mapping, $products_id);
                
                // Now add the URI mappings for the review pages/tell-a-friend page for this product
                if (substr($uri_mapping, -1) != '/') {
                  $uri_mapping .= '/';
                }
                
                $sql_data_array['uri'] = zen_db_prepare_input($uri_mapping .
                  CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS);
                $sql_data_array['main_page'] = zen_db_prepare_input(FILENAME_PRODUCT_REVIEWS);
                
                zen_db_perform(TABLE_CEON_URI_MAPPINGS, $sql_data_array);
                
                $sql_data_array['uri'] = zen_db_prepare_input($uri_mapping .
                  CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS_INFO);
                $sql_data_array['main_page'] =
                  zen_db_prepare_input(FILENAME_PRODUCT_REVIEWS_INFO);
                
                zen_db_perform(TABLE_CEON_URI_MAPPINGS, $sql_data_array);
                
                $sql_data_array['uri'] = zen_db_prepare_input($uri_mapping .
                  CEON_URI_MAPPING_URI_PART_PRODUCT_REVIEWS_WRITE);
                $sql_data_array['main_page'] =
                  zen_db_prepare_input(FILENAME_PRODUCT_REVIEWS_WRITE);
                
                zen_db_perform(TABLE_CEON_URI_MAPPINGS, $sql_data_array);
                
                $sql_data_array['uri'] = zen_db_prepare_input($uri_mapping .
                  CEON_URI_MAPPING_URI_PART_TELL_A_FRIEND);
                $sql_data_array['main_page'] =
                  zen_db_prepare_input(FILENAME_TELL_A_FRIEND);
                
                zen_db_perform(TABLE_CEON_URI_MAPPINGS, $sql_data_array);
              }
            }
          } else if ($uri_mapping_drop_existing) {
            $db->Execute("DELETE FROM " . TABLE_CEON_URI_MAPPINGS . "
              WHERE
                (
                  main_page = '" . zen_db_input(FILENAME_DOCUMENT_GENERAL_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_DOCUMENT_PRODUCT_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_BOOK_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_FREE_SHIPPING_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_MUSIC_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS_INFO) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_PRODUCT_REVIEWS_WRITE) . "'
                OR
                  main_page = '" . zen_db_input(FILENAME_TELL_A_FRIEND) . "'
                )
              AND
                associated_db_id = '" . (int) $products_id . "';");
          }
          // END CEON URI MAPPING 1 of 1

          // reset products_price_sorter for searches etc.
          zen_update_products_price_sorter((int)$products_id);
        } else {
          $messageStack->add_session(ERROR_CANNOT_MOVE_PRODUCT_TO_CATEGORY_SELF, 'error');
        }

        zen_redirect(zen_href_link(FILENAME_CATEGORIES, 'cPath=' . $new_parent_id . '&pID=' . $products_id . (isset($_GET['page']) ? '&page=' . $_GET['page'] : '')));
?>