<?php
/**
 * Page Template
 *
 * Loaded by main_page=index<br />
 * Displays product-listing when a particular category/subcategory is selected for browsing
 *
 * @package templateSystem
 * @copyright Copyright 2003-2005 Zen Cart Development Team
 * @copyright Portions Copyright 2003 osCommerce
 * @license http://www.zen-cart.com/license/2_0.txt GNU Public License V2.0
 * @version $Id: tpl_index_product_list.php 15589 2010-02-27 15:03:49Z ajeh $
 */
?>
<div class="centerColumn" id="indexProductList">

<h1 id="productListHeading"><?php echo $breadcrumb->last(); ?></h1>

<?php
  if ($do_filter_list) {
// BEGIN CEON URI MAPPING 1 of 2
    // Build form action as link to index page including specific query string parameters, so that a
    // static URI can be used if one has been specified for the specific query string paramters
    $ceon_uri_mapping_handling_being_used = false;
    
    if (isset($_GET['manufacturers_id']) && $_GET['manufacturers_id'] > 0) {
      $ceon_uri_mapping_handling_being_used = true;
      
      $form_action_uri = zen_href_link(FILENAME_DEFAULT, 'manufacturers_id=' .
        $_GET['manufacturers_id']);
      
      echo zen_draw_form('filter', $form_action_uri, 'get') .  '<label class="inputLabel">' .
        TEXT_SHOW . '</label>';
      
      if (strpos($form_action_uri, 'manufacturers_id') !== false) {
        // No static URI for manufacturer page so must allow form to rebuild manufacturer info
        echo zen_draw_hidden_field('main_page', FILENAME_DEFAULT);
        echo zen_draw_hidden_field('manufacturers_id', $_GET['manufacturers_id']);
      }
    } else if (isset($_GET['typefilter']) && $_GET['typefilter'] != '' &&
        isset($_GET[$_GET['typefilter'] . '_id']) && $_GET[$_GET['typefilter'] . '_id'] != '') {
      $ceon_uri_mapping_handling_being_used = true;
      
      $form_action_uri = zen_href_link(FILENAME_DEFAULT, 'typefilter=' . $_GET['typefilter'] .
        '&' . $_GET['typefilter'] . '_id=' . $_GET[$_GET['typefilter'] . '_id']);
      
      echo zen_draw_form('filter', $form_action_uri, 'get') . '<label class="inputLabel">' .
        TEXT_SHOW . '</label>';
      
      if (strpos($form_action_uri, 'typefilter') !== false) {
        // No static URI for filtered page so must allow form to rebuild filter info
        echo zen_draw_hidden_field('main_page', FILENAME_DEFAULT);
        echo zen_draw_hidden_field('typefilter', $_GET['typefilter']);
        echo zen_draw_hidden_field($_GET['typefilter'] . '_id', $_GET[$_GET['typefilter'] . '_id']);
      }
    } else if (isset($_GET['cPath']) && $_GET['cPath'] > 0) {
      $ceon_uri_mapping_handling_being_used = true;
      
      $form_action_uri = zen_href_link(FILENAME_DEFAULT, 'cPath=' . $_GET['cPath']);
      
      echo zen_draw_form('filter', $form_action_uri, 'get') . '<label class="inputLabel">' .
        TEXT_SHOW . '</label>';
      
      if (strpos($form_action_uri, 'cPath') !== false) {
        // No static URI for category page so must allow form to rebuild category info
        echo zen_draw_hidden_field('main_page', FILENAME_DEFAULT);
        echo zen_draw_hidden_field('cPath', $_GET['cPath']);
      }
    }
    
    if ($ceon_uri_mapping_handling_being_used) {
      
    } else {
      // Filter type not supported by Ceon URI Mapping so use standard Zen Cart filter form code
// END CEON URI MAPPING 1 of 2
  $form = zen_draw_form('filter', zen_href_link(FILENAME_DEFAULT), 'get') . '<label class="inputLabel">' .TEXT_SHOW . '</label>';
?>

<?php echo $form; ?>
<?php

  if (!$getoption_set) {
    echo zen_draw_hidden_field('cPath', $cPath);
  } else {
    echo zen_draw_hidden_field($get_option_variable, $_GET[$get_option_variable]);
  }
  if (isset($_GET['typefilter'])) echo zen_draw_hidden_field('typefilter', $_GET['typefilter']);
  if ($_GET['manufacturers_id']) {
    echo zen_draw_hidden_field('manufacturers_id', $_GET['manufacturers_id']);
  }

// BEGIN CEON URI MAPPING 2 of 4
    }
// END CEON URI MAPPING 2 of 4

  echo zen_draw_hidden_field('sort', $_GET['sort']);
// BEGIN CEON URI MAPPING 3 of 4
    if (!$ceon_uri_mapping_handling_being_used) {
// END CEON URI MAPPING 3 of 4
  echo zen_draw_hidden_field('main_page', FILENAME_DEFAULT);
// BEGIN CEON URI MAPPING 4 of 4
    }
// END CEON URI MAPPING 4 of 4
  echo zen_draw_pull_down_menu('filter_id', $options, (isset($_GET['filter_id']) ? $_GET['filter_id'] : ''), 'onchange="this.form.submit()"');
  echo zen_hide_session_id();
?>
</form>

<?php
  }
?>
<br class="clearBoth" />

<?php
// categories_description
    if ($current_categories_description != '') {
?>
<div id="indexProductListCatDescription" class="content"><?php echo $current_categories_description;  ?></div>
<?php } // categories_description ?>

<?php
/**
 * require the code for listing products
 */
 require($template->get_template_dir('tpl_modules_product_listing.php', DIR_WS_TEMPLATE, $current_page_base,'templates'). '/' . 'tpl_modules_product_listing.php');
?>


<?php
//// bof: categories error
if ($error_categories==true) {
  // verify lost category and reset category
  $check_category = $db->Execute("select categories_id from " . TABLE_CATEGORIES . " where categories_id='" . $cPath . "'");
  if ($check_category->RecordCount() == 0) {
    $new_products_category_id = '0';
    $cPath= '';
  }
?>

<?php
$show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_MISSING);

while (!$show_display_category->EOF) {
?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php
  if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_MISSING_UPCOMING') {
    include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS));
  }
?>
<?php
  $show_display_category->MoveNext();
} // !EOF
?>
<?php } //// eof: categories error ?>

<?php
//// bof: categories
$show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_LISTING_BELOW);
if ($error_categories == false and $show_display_category->RecordCount() > 0) {
?>

<?php
  $show_display_category = $db->Execute(SQL_SHOW_PRODUCT_INFO_LISTING_BELOW);
  while (!$show_display_category->EOF) {
?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_FEATURED_PRODUCTS') { ?>
<?php
/**
 * display the Featured Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_featured_products.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_featured_products.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_SPECIALS_PRODUCTS') { ?>
<?php
/**
 * display the Special Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_specials_default.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_specials_default.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_NEW_PRODUCTS') { ?>
<?php
/**
 * display the New Products Center Box
 */
?>
<?php require($template->get_template_dir('tpl_modules_whats_new.php',DIR_WS_TEMPLATE, $current_page_base,'templates'). '/tpl_modules_whats_new.php'); ?>
<?php } ?>

<?php
    if ($show_display_category->fields['configuration_key'] == 'SHOW_PRODUCT_INFO_LISTING_BELOW_UPCOMING') {
      include(DIR_WS_MODULES . zen_get_module_directory(FILENAME_UPCOMING_PRODUCTS));
    }
?>
<?php
  $show_display_category->MoveNext();
  } // !EOF
?>

<?php
} //// eof: categories
?>

</div>
